// pages/logistics/logistics.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    logisData:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const { code, logisticsNo} = this.options
    console.log('-----code----', code)
    this.getLogisticsInfo(code, logisticsNo)
  },

  // 获取物流信息
  getLogisticsInfo(code,num){
    wxService.get(`/sale/logistics/getLogisticsDetail?companyCode=${code}&logisticsNo=${num}`).then(res => {
      if (!res) return false
      const { result, data } = res.data
      if (result == 0) {
        console.log(data.list)
        for (var i in data.list){
          if (data.list[i].datetime){
            data.list[i].date = data.list[i].datetime.substring(0,10)
            data.list[i].time = data.list[i].datetime.substring(0, 10)
          }
        }
        this.setData({
          logisData: data
        })
        
        
      }

    }).finally(() => {
    })
  },

  copy(e) {
    wx.setClipboardData({
      //准备复制的数据
      data: e.currentTarget.dataset.content,
      success: function (res) {
        wx.showToast({
          title: '复制成功',
          icon: 'none'
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})